Skip to main content
GET
/
agents
/
conversations
List the calling user's agent conversations
curl --request GET \
  --url https://api-dev.narrative.io/agents/conversations \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 1,
  "total_records": 15000,
  "total_pages": 10,
  "records": [
    {
      "id": "bc2505b7-068d-44ed-8055-a6f6ffe54ab1",
      "company_id": 1,
      "user_id": 407,
      "defaults": {
        "model": "anthropic.claude-opus-4.6",
        "data_plane_id": "f79cbdae-4848-47ca-95e8-69588364d185",
        "execution_cluster": "shared",
        "compute_pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "max_iterations": 8,
        "max_tokens": 2048,
        "temperature": 0,
        "output_format_schema": {
          "type": "object",
          "additionalProperties": false,
          "required": [
            "text"
          ],
          "properties": {
            "text": {
              "type": "string"
            }
          }
        },
        "mcp_servers": [],
        "tools": []
      },
      "version": 4,
      "created_at": "2026-05-18T13:21:30.355180Z",
      "updated_at": "2026-05-18T13:21:51.983952Z",
      "name": "<string>",
      "system_prompt": "<string>"
    }
  ],
  "prev_page": 1,
  "next_page": 42
}

Documentation Index

Fetch the complete documentation index at: https://docs.narrative.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Number of page. Stars from the first (1) page.

per_page
integer

Number of records to return.

Response

Paginated list of the caller's conversations, newest first. Empty records if the caller has no conversations yet.

Returned by GET /agents/conversations. Page envelope wrapping the caller's conversations, newest first. Same shape every other paginated Narrative endpoint uses.

current_page
integer<int64>
required

The number of requested page.

Example:

1

total_records
integer<int64>
required

Total amount of accessible Access Rules

Example:

15000

total_pages
integer<int64>
required

Total amount of pages.

Example:

10

records
object[]
required

Page of conversations, ordered by created_at descending.

prev_page
integer<int64>

The number of previous page (if exists). Also can refer to the latest existing page if non-existing page was requested.

Example:

1

next_page
integer<int64>

The number of next page (if exists).

Example:

42